Subject: [rbridge] Range of appllicability (was Re: TTL only - was RE: New fields in shim header?)

From: sgai at nuovasystems.com (Silvano Gai)
Date: Thu, 19 Oct 2006 08:22:06 -0700

Erik,

> -----Original Message-----
> From: Erik Nordmark [mailto:erik.nordmark at sun.com]
> Sent: Wednesday, October 18, 2006 9:47 AM
> To: Silvano Gai
> Cc: Gray, Eric; Radia Perlman; Caitlin Bestler; rbridge at postel.org
> Subject: Re: [rbridge] Range of appllicability (was Re: TTL only - was
RE:
> New fields in shim header?)
> 
> Silvano Gai wrote:
> > Eric,
> >
> > The fact that the network is under a single administrative domain
and
> > the fact that different part of the network have different
> > users/security are not in contradiction.
> >
> > Let's take a University, a single backbone interconnecting many
networks
> > (Departments, Labs, Administration, External) and many users (Profs,
> > Students, Admin). Firewall, Routers and 5-Tuple ACLs are probably
used
> > for security, but it is also important to guarantee that firewalls
and
> > routers are not bypassed. Therefore it is possible to think that a
> > network administrator may want to disallow the RBdridges connecting
the
> > Labs to talk directly with the Rbridges connecting the
administrations
> > and so on.
> 
> Silvano,
> 
> That sounds like a good argument for using VLANs.

It is, VLANs have been used extensively to solve this problem.
 
> 
> But I have a more fundamental question. Are people accomplishing what
> you are requesting of RBridges using 802.1D bridges today?
> If so, how are they doing it?

I used to work for a large switch company for many years and one of the
requests I got consistently from customers was: "tell me with certainty
where the frame entered the network". You cannot do that in IEEE 802.1D.
When the network is under attack this is a great feature to have. It
also allows building additional ACLs, as I explained in previous emails.

> 
> There is nothing in the 802.1D data plan which indicates the first
> bridge that forwarded a frame.

Agreed.

> 
> The reason I'm asking is because I see a big difference between asking
> RBridges to provide some new degree of filtering/security, and making
> sure it isn't any worse than a bridged network.
> 

Understood, but a new standard is also a good place to improve.
If you buy my argument that having 32 bits of TRILL shim is not hardware
friendly, while 48 is, and you want to limit to the minimum the TRILL
shim, then let's go with Dinesh proposal:

Ddutt> I'd like to reiterate that I share the concern of protocol
overhead Ddutt> with the others, but methinks the overhead of 16 bits
(16-bit ingress Ddutt> ID, 16-bit egress ID, 16-bit TTL/FTAG maybe
sufficient) is worth the
Ddutt>  bits.

i.e.

                                      +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+ 
                                      | FTag              | Hop Limit | 
      +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+ 
      |  Ingress RBridge Address      |  Egress RBridge Address       | 
      +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+ 
 
It is simple, clean and HW friendly

-- Silvano

> 
> > In addition to ACLs, I have read that having the two RBridge
addresses
> > can be useful for:
> > - Policy based forwarding
> > - Network Troubleshooting
> > - Hardware based learning
> >
> > I think this WG should seriously consider inserting both addresses
in
> > the shim header
> 
> I think the WG is; that's why there are all these emails ;-)
> 
> Regards,
>     Erik

---

From: touch at ISI.EDU (Joe Touch)
Date: Thu, 19 Oct 2006 08:57:59 -0700

Silvano Gai wrote:
...
> Understood, but a new standard is also a good place to improve.

The need for capabilities not in 802 now may be a good argument for
reserved bits

Note that in hardware they too are problematic; we'd need three types:

	- MUST set as 0 currently; MUST ignore on receipt
		for optional extensions
	- MUST set as 0 currently; MUST silently discard if not 0
		for silently dropped required extensions
	- MUST set as 0 currently; MUST report as error if not 0
		for non0-silent required extensions

I'd rather see the FTAG area blocked out for those kinds of bits at this
time than locked into a tag that a new VLAN header might replace, e.g.

Joe

-------------- next part --------------
A non-text attachment was scrubbed...
Name: signature.asc
Type: application/pgp-signature
Size: 250 bytes
Desc: OpenPGP digital signature
Url : http://mailman.postel.org/pipermail/rbridge/attachments/20061019/5f15a0f5/signature.bin